#### D.14.1.36 multarrMultRestrict

Procedure from library `arr.lib` (see arr_lib).

Usage:
  multarrMultRestrict(A, k); multiarrangement A, integer k;

Return:
  [multarr] the restricted hyperplane Multi-Arrangement (A^H_k) with multiplicities, i.e. counting with multiplicities how often one element of the restricted arrangement occurs as intersetion of hyperplane of the first multiarrangement. This definition is due to Guenter M. Ziegler.

Note:
  A has to be non-empty.

Remarks:
  The restriction will only be performed, if H_k = ker(x_i) for some i. One can also restrict an arrangement with respect to any hyper- plane k, but than a coordinate change is necessary first to make H_k = ker(x_k). Since such a coordinate change is not unique, please use arrCoordchange to do so.

Example:

    LIB "arr.lib";
    ring R = 0,(x,y,z),dp;
    multarr A =ideal(x2,y2,z2,(x-y)^3,(x-z)^2,(y-z));    A;
    ==> _[1]=(x)^2
    ==> _[2]=(y)^2
    ==> _[3]=(z)^2
    ==> _[4]=(x-y)^3
    ==> _[5]=(x-z)^2
    ==> _[6]=(y-z)^1
    ==>
    //The restriction of the multiarrangement is:
    multarr AR = multarrMultRestrict(A,1);  AR;
    ==> _[1]=(y)^5
    ==> _[2]=(z)^4
    ==> _[3]=(y-z)^1
    ==>

See also: arrRestrict; multarrMultRestrict; multarrRestrict.

User manual for Singular version 4.4.1, 2025, generated by texi2html.